Bug 485092 - [Qlogic 4.8 bug] qla4xxx: properly support the Async Msg PDU
[Qlogic 4.8 bug] qla4xxx: properly support the Async Msg PDU
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
high Severity high
: rc
: 4.8
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 450896
  Show dependency treegraph
 
Reported: 2009-02-11 11:00 EST by Marcus Barrow
Modified: 2009-06-20 05:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Async PDU support (21.01 KB, patch)
2009-02-11 11:06 EST, Marcus Barrow
no flags Details | Diff
Additional Dynamic LUN Scan Support (8.64 KB, patch)
2009-02-11 18:00 EST, Dave Wagner
no flags Details | Diff
Report LUN Change To Gui (5.03 KB, patch)
2009-02-12 20:58 EST, Dave Wagner
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-02-11 11:00:11 EST
Properly supporting these messages is required to discover new LUNS that are created on the storage.

This patch was originally submitted for rhel 4.7 and nak'ed by Mike Christi. This new patch includes work to the kernel transport layer by Mike Christi and also the original QLogic code.

This patch is important for customers to be able to access their data.

Tested at QLogic and applies and builds with kernel-2.6.9-78.22
Comment 1 Marcus Barrow 2009-02-11 11:06:31 EST
Created attachment 331577 [details]
Async PDU support
Comment 2 RHEL Product and Program Management 2009-02-11 14:40:26 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Dave Wagner 2009-02-11 18:00:32 EST
Created attachment 331632 [details]
Additional Dynamic LUN Scan Support

This patch provides support dynamic lun detection via UNIT_ATTENTION and reports lun change information (detected via UNIT_ATTENTION & Async PDU) to QLogic's gui layer.

This patch applies on top of the Async PDU Support patch.
Comment 4 Mike Christie 2009-02-11 18:41:43 EST
iscsi aen scanning is ok. The infrastructure is upstream and when you guys test and ok the upstream patch then that will be done too. I am going to look over the async pdu patch in comment #1 and resend you guys the RHEL5/upstream patch to get your ok on it.

Unit attention is not. We have no infrastructure for this yet, and there is nothing driver related upstream.
Comment 5 Dave Wagner 2009-02-12 20:58:28 EST
Created attachment 331789 [details]
Report LUN Change To Gui

This patch replaces the "Additional Dynamic LUN Scan Support" patch.  Support for dynamic lun detection via UNIT_ATTENTION was removed, leaving only support to report dynamic lun changes to our gui.
Comment 6 Chris Ward 2009-03-13 10:04:32 EDT
~~ Attention Partners!  ~~
RHEL 4.8Beta has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. Please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe any issues you encountered. If you have found a NEW bug, clone this bug and describe the issues you've encountered. Further questions can be directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the Verified field above. Please leave a comment with your test results details. Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 7 Vivek Goyal 2009-03-17 11:01:39 EDT
Committed in 84.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 Chris Ward 2009-03-27 07:28:06 EDT
~~ Attention Partners! Snap 1 Released ~~
RHEL 4.8 Snapshot 1 has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. NOTE: there is only a short time left to test, please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 10 Chris Ward 2009-04-03 06:30:05 EDT
~~ Attention Partners! Snap 2 *Kernel Only* Released ~~
RHEL 4.8 Snapshot 2 *kernel* has been released on partners.redhat.com. There should be a fix present, which addresses this bug. NOTE: there is only a short amount of time left to test, please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 11 Chris Ward 2009-04-09 03:43:41 EDT
~~ Attention Partners! Snap 3 Released ~~
RHEL 4.8 Snapshot 3 has been released on partners.redhat.com. There
should be a fix present that resolves this bug.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 12 Chris Ward 2009-04-16 09:13:50 EDT
~~ Attention! Snap 4 Released ~~
RHEL 4.8 Snapshot 4 has been released on partners.redhat.com. There
should be a fix present that resolves this bug. There's not much more time to test. Please report back results ASAP.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 13 Marcus Barrow 2009-04-16 11:16:08 EDT
THis patch has been verified in 2.6.9-88.EL.
Comment 15 errata-xmlrpc 2009-05-18 15:20:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.